function change_gaussian

%When the user selects a different Gaussian, change the display to show that Gaussian.
%Used by the manual entry screen.

load synthetic

h 		= findobj('Tag', 'popNumber');
hm1 	= findobj('Tag', 'txtMeanX');
hm2 	= findobj('Tag', 'txtMeanY');
hw 	= findobj('Tag', 'txtWeight');
hs11  = findobj('Tag', 'txtCov11');
hs12  = findobj('Tag', 'txtCov12');
hs21  = findobj('Tag', 'txtCov21');
hs22  = findobj('Tag', 'txtCov22');

val = get(h, 'Value');

if get(findobj('Tag', 'rbtClass0'), 'Value')
   %Class 0 selected
   set(hm1,  'String', m0(val,1))
   set(hm2,  'String', m0(val,2))
   set(hs11, 'String', s0(val,1,1))
   set(hs12, 'String', s0(val,1,2))
   set(hs21, 'String', s0(val,2,1))
   set(hs22, 'String', s0(val,2,2))
   set(hw, 'String', w0(val))
else
   %Class 1 selected
   set(hm1,  'String', m1(val,1))
   set(hm2,  'String', m1(val,2))
   set(hs11, 'String', s1(val,1,1))
   set(hs12, 'String', s1(val,1,2))
   set(hs21, 'String', s1(val,2,1))
   set(hs22, 'String', s1(val,2,2))
   set(hw,   'String', w1(val))
end   
   

