function change_parameter(caller)

%When there are changes to one of the parameters of a Gaussian, save it to file.
%Used by the manual entry screen.

load synthetic

tag			= get(caller, 'Tag');
val 			= get(findobj('Tag', 'popNumber'), 'Value');
zero_or_one = ~get(findobj('Tag', 'rbtClass0'), 'Value');
num			= str2num(get(caller, 'String'));

switch tag
	case 'txtMeanX'
      if zero_or_one,
         m1(val,1) = num;
      else
         m0(val,1) = num;
      end
	case 'txtMeanY'
      if zero_or_one,
         m1(val,2) = num;
      else
         m0(val,2) = num;
      end
	case 'txtWeight'
      if zero_or_one,
         w1(val) = num;
      else
         w0(val) = num;
      end
  	case 'txtCov11'
      if zero_or_one,
         s1(val,1,1) = num;
      else
         s0(val,1,1) = num;
      end
  	case 'txtCov12'
      if zero_or_one,
         s1(val,1,2) = num;
      else
         s0(val,1,2) = num;
      end
  	case 'txtCov21'
      if zero_or_one,
         s1(val,2,1) = num;
      else
         s0(val,2,1) = num;
      end
  	case 'txtCov22'
      if zero_or_one,
         s1(val,2,2) = num;
      else
         s0(val,2,2) = num;
      end
end
   
save synthetic s0 s1 m0 m1 w0 w1 p0