function fig = classifier()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
% This problem is solved by saving the output as a FIG-file.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.
% 
% NOTE: certain newer features in MATLAB may not have been saved in this
% M-file due to limitations of this format, which has been superseded by
% FIG-files.  Figures which have been annotated using the plot editor tools
% are incompatible with the M-file/MAT-file format, and should be saved as
% FIG-files.

load classifier

h0 = figure('Units','characters', ...
            'Color',[0.8 0.8 0.8], ...
	    'Colormap',mat0, ...
	    'CreateFcn','                                                                        ', ...
	    'FileName','D:\Users\elad\HW\Classification_toolbox\classifier.m', ...
	    'MenuBar','none', ...
	    'PaperPosition',[18 180 576 432], ...
	    'PaperType','A4', ...
	    'PaperUnits','points', ...
	    'Position',[44 11.46153846153846 129 45.38461538461539], ...
	    'Renderer','zbuffer', ...
	    'RendererMode','manual', ...
	    'Tag','Main', ...
	    'ToolBar','none');
% file menu
h1 = uimenu('Parent',h0, ...
	'Callback','                                    ', ...
	'Label','&File', ...
	'Tag','&File1');

%submenu load
h2 = uimenu('Parent',h1, ...
	'Label','&Load', ...
	'Tag','&FileLoad');
h3 = uimenu('Parent',h2, ...
	'Callback','classifier_commands(''SearchForFile'')', ...
	'Label','&Load distribution', ...
	'Tag','&FileLoadDistribution');
h3 = uimenu('Parent',h2, ...
	'Callback','classifier_commands(''LoadDistFile'')', ...
	'Label','&Load distribution parameters', ...
	'Tag','&FileOpenParameters');

% submenu save
h2 = uimenu('Parent',h1, ...
	'Label','Save', ...
	'Tag','&FileSave1');
h3 = uimenu('Parent',h2, ...
	'Callback','classifier_commands(''SaveFeatures'')', ...
	'Label','&Save distribution', ...
	'Tag','&FileSaveDistribution');
h3 = uimenu('Parent',h2, ...
	'Callback','classifier_commands(''SaveParameters'')', ...
	'Label','&Save distribution parameters', ...
	'Tag','&FileSaveParameters');

% submenu clear
h2 = uimenu('Parent',h1, ...
	'Label','Clear', ...
	'Tag','&FileClear1');
h3 = uimenu('Parent',h2, ...
	'Callback','classifier_commands(''ClearBounds'')', ...
	'Label','Clear &bounds', ...
	'Tag','&File&ClearBounds');
h3 = uimenu('Parent',h2, ...
	'Callback','classifier_commands(''ClearWorkspace'')', ...
	'Label','Clear &workspace', ...
	'Tag','&File&ClearWorkspace');

% blank Entry
h2 = uimenu('Parent',h1, ...
	'Tag','&FileMenu1');
% entry: Permute Features    
h2 = uimenu('Parent',h1, ...
	'Callback','classifier_commands(''MixFeatures'')', ...
	'Label','&Permute features', ...
	'Tag','&MixFeatures');
% blank Entry
h2 = uimenu('Parent',h1, ...
	'Tag','&FileMenu1');
% entry: Exit
h2 = uimenu('Parent',h1, ...
	'Callback','classifier_commands(''Exit'')', ...
	'Label','&Exit', ...
	'Tag','&File&Exit');

% Edit Menu
h1 = uimenu('Parent',h0, ...
	'Callback','                                    ', ...
	'Label','&Edit', ...
	'Tag','&Edit1');
% Print entry
h2 = uimenu('Parent',h1, ...
	'Callback','classifier_commands(''Print'')        ', ...
	'Label','&Print', ...
	'Tag','&Edit&Print1');
% Copy Entry
h2 = uimenu('Parent',h1, ...
	'Callback','classifier_commands(''Copy'')         ', ...
	'Label','&Copy', ...
	'Tag','&Edit&Copy1');

% --------------------------------
% view menu
h1 = uimenu('Parent',h0, ...
	'Callback','                                    ', ...
	'Label','&View', ...
	'Tag','&View1');
%  grid entry
h2 = uimenu('Parent',h1, ...
	'Callback','classifier_commands(''MenuGrid'')     ', ...
	'Checked','on', ...
	'Label','&Grid', ...
	'Tag','&View&Grid1');
%  zoom entry
h2 = uimenu('Parent',h1, ...
	'Callback','classifier_commands(''MenuZoom'')     ', ...
	'Label','&Zoom', ...
	'Tag','&View&Zoom1');


% Option menu 
h1 = uimenu('Parent',h0, ...
	'Label','&Options', ...
	'Tag',	'&Options');

% Perform preprocessing separately for each class entry
h2 = uimenu('Parent',h1, ...
	'Callback',...
	'classifier_commands(''SeparatePreprocessing'') ', ...
	'Label',...
	'&Perform preprocessing separately for each class', ...
	'Tag','&Options&SeparatePreprocessing');
    
% Show center of partitions during training option
h2 = uimenu('Parent',h1, ...
	'Callback','classifier_commands(''ShowPartitions'') ', ...
	'Label','&Show center of partitions during training', ...
	'Tag','&Options&ShowPartitions');

% Show Training points option
h2 = uimenu('Parent',h1, ...
	'Callback','classifier_commands(''ShowTrainingPoints'') ', ...
	'Label','Show &Training points', ...
	'Tag','&Options&ShowTraining');

% Shade Decision Regions options
h2 = uimenu('Parent',h1, ...
	'Callback','classifier_commands(''ShadeDecisionRegion'') ', ...
	'Label','Shade &Decision Regions', ...
	'Checked','on', ...
	'Tag','&Options&ShadeDecision');

h1 = uimenu('Parent',h0, ...
	'Callback','classifier_commands(''About'') ', ...
	'Label','&About', ...
	'Tag','&About');

% message frame at the bottom of the main frame
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[16 10 590 42], ...
	'Style','frame', ...
	'Tag','frmMessages');
% The title within the frame
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[19.5 31.5 62.25 14.25], ...
	'String','Messages:', ...
	'Style','text', ...
	'Tag','txtMessages');
% This is a text object that will contain the message text
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',10, ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[21.75 12 427.5 18.75], ...
	'Style','text', ...
	'Tag','Messages');

% ------------------------------------------------
% ------------------------------------------------
% other message box, above the previous one and to the right
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[210  56 396 72], ...
	'Style','frame', ...
	'Tag','frmErrors');
% The title within the frame
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[217.5 105 150 18.75], ...
	'String','Classification Errors:', ...
	'Style','text', ...
	'Tag','txtErrors');

% Test Set Error text tag, will appear somewhere 
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[220 87 290 15], ...
	'Style','text', ...
	'Tag','TestSetError');
% Test Set Error text tag, will appear somewhere 
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[220 70 290 15], ...
	'Style','text', ...
	'Tag','TrainSetError');

%
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[228 57 240.75 15], ...
	'Style','text', ...
	'Tag','BayesError');

% ------------------------------------------------

% the plotting area where the data will be plotted
h1 = axes('Parent',h0, ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'Position',[0.4353846153846154 0.366852886405959 0.5353846153846154 0.5884543761638734], ...
	'Tag','axsPlotArea', ...
	'XColor',[0 0 0], ...
	'XGrid','on', ...
	'YColor',[0 0 0], ...
	'YGrid','on', ...
	'ZColor',[0 0 0], ...
	'ZGrid','on');
% more settings for the above
h2 = line('Parent',h1, ...
	'Color',[0 0 1], ...
	'Tag','Line1', ...
	'XData',0, ...
	'YData',0);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-0.005813953488372103 -1.151898734177215 17.32050807568877], ...
	'Tag','Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-1.191860465116279 -0.006329113924050667 17.32050807568877], ...
	'Rotation',90, ...
	'Tag','Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);

% more settings for the above, text stuff

h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',mat2, ...
	'Tag','Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);

h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-0.005813953488372103 1.044303797468354 17.32050807568877], ...
	'Tag','Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);

% ================================================================
% Box 2
h1 = uicontrol('Parent',h0, ...
    'Units','points', ...
    'BackgroundColor',[0.8 0.8 0.8], ...
    'ListboxTop',0, ...
    'Position',[16  450 180 36], ...
    'Style','frame', ...
    'Tag','frmFilename');

h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'HorizontalAlignment','center', ...
	'ListboxTop',0, ...
	'Position',[18 468 176 15], ...
	'String','Framework', ...
	'Style','text', ...
	'Tag','frameworkToBeUsedTxt');
% and this is the pop up menu
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[20 455 172 18], ...
	'String',mat11, ...
	'Style','popupmenu', ...
	'Tag','frameworkToBeUsed', ...
	'Value',1);


% ================================================
%  Box 3 on the upper left portion of the UI
%   Used to read the data file
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[16 420 180 32], ...
	'Style','frame', ...
	'Tag','frmFilename');

% Writes the text "File" in Box 3
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[20 428 50 15], ...
	'String','File name: ', ...
	'Style','text', ...
	'Tag','StaticText1');

% Typein widget for the File name
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','classifier_commands(''FileNameInput'')', ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[50 428 120 18], ...
	'Style','edit', ...
	'Tag','FileNameInput');

% 0.752941176470588 0.752941176470588], ...
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8,0.8,0.8],...
	'Callback','classifier_commands(''SearchForFile'')', ...
	'ListboxTop',0, ...
	'Position',[173 428 18 18], ...
	'String','...', ...
	'Tag','pshLocateFile');


% ================================================
% Box 4, below Box 3
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[16 218 180 200], ...
	'Style','frame', ...
	'Tag','frmParameters');

% "Error Estimation Method" in box 4
% this is the text
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[18 395 80 15], ...
	'String','Error estimation:', ...
	'Style','text', ...
	'Tag','txtRedrawingmethod1');
% and this is the pop up menu
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[.8 .8 .8],...
	'ListboxTop',0, ...
	'Position',[95 395 95 18], ...
	'String',mat5, ...
	'Style','popupmenu', ...
	'Tag','popErrorEstimationMethod', ...
	'Value',1);

% "Number of redraws" control, in Box 4
% this is the text for it
%  'Position',[18.75 343.75 69.75 15], ...
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[18 375 100 15], ...
	'String','Number of redraws: ', ...
	'Style','text', ...
	'Tag','StaticText1');
% and this is the Typein Widget
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','                 ', ...
	'ListboxTop',0, ...
	'Position',[110 375 70 16], ...
	'String','1', ...
	'Style','edit', ...
	'Tag','Redraws');

% "Percentage of training vectors" in Box 4
%  this is the text
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...	
'Position',[18  360 120 15], ...
	'String','Precentage of training vectors: ', ...
	'Style','text', ...
	'Tag','StaticText1');
% and this is the typein widget
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','                           ', ...
	'ListboxTop',0, ...
	'Position',[140 360 40 16], ...
	'String','20', ...
	'Style','edit', ...
	'Tag','PercentTraining');
    
% --------------------------------
% "Preprocessing" control in Box 4
% this is the text
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[18 310 176 50], ...
	'Style','frame', ...
	'Tag','frmParameters');


h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'HorizontalAlignment','center', ...
	'ListboxTop',0, ...
	'Position',[20 343 170 15], ...
	'String','Preprocessing: ', ...
	'Style','text', ...
	'Tag','StaticText2');
% and this is the typein widget
% Position',[87 304.75 87.75 15], ...
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','classifier_commands(''Changed Preprocessing'')', ...
	'ListboxTop',0, ...
	'Position',[20 330 170 15], ...
	'String',mat3, ...
	'Style','popupmenu', ...
	'Tag','Preprocessing', ...
	'Value',1);
% These are the normally hidden boxes for the
%  preprocessing parameters
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'HorizontalAlignment','center', ...
	'ListboxTop',0, ...
	'Position',[20 315 110 15], ...
	'Style','text', ...
	'Tag','lblPreprocessingParameters');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[140 315 50 15], ...
	'Style','edit', ...
	'Tag','txtPreprocessingParameters', ...
	'Visible','off');

% --------------------------------
% Classification "Algorithm" in box 4
% this is the text for it

% First a box
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[18 250 176 66], ...
	'Style','frame', ...
	'Tag','frmParameters');

h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'HorizontalAlignment','center', ...
	'ListboxTop',0, ...
	'Position',[20 300 170 15], ...
	'String','Algorithm: ', ...
	'Style','text', ...
	'Tag','StaticText1');
% and this is the popup menu 
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[.8 .8 .8],...
	'Callback','classifier_commands(''Changed Algorithm'')', ...
	'ListboxTop',0, ...
	'Position',[20 285 170 16], ...
	'String',mat4, ...
	'Style','popupmenu', ...
	'Tag','Algorithm', ...
	'Value',5);

% These are the parameters
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[20 268 125 15], ...
	'Style','text', ...
	'Tag','lblAlgorithmParameters');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[150 268 40 16], ...
	'Style','edit', ...
	'Tag','txtAlgorithmParameters', ...
	'Visible','off');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[20 254 170 16], ...
	'Style','edit', ...
	'Tag','txtAlgorithmParametersLong', ...
	'Visible','off');



% These are for manually entering distributions..
% The main frame
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[16.5 92.25 161.25 121.75], ...
	'Style','frame', ...
	'Tag','frmDistInput');
% The control manually enter distribution
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','classifier_commands(''EnterManualDist'')', ...
	'HorizontalAlignment','center', ...
	'ListboxTop',0, ...
	'Position',[22.5 194.75 150 16.5], ...
	'String','Manually enter distributions', ...
	'Tag','pshManual');

% The control: Load Distribution Parameters
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','classifier_commands(''LoadDistFile'')', ...
	'ListboxTop',0, ...
	'Position',[22.5 176.75 150 16.5], ...
	'String','Load distribution parameters', ...
	'Tag','pshloadDistribution');

% The control: Generate Sample Data
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','classifier_commands(''GenerateDistData'')', ...
	'ListboxTop',0, ...
	'Position',[22.5 158 150 16.5], ...
	'String','Generate a sample data set', ...
	'Tag','pshGenerateData');

% The control: "Graphically Enter A Data Set"
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','classifier_commands(''ManualGraphData'')', ...
	'HorizontalAlignment','center', ...
	'ListboxTop',0, ...
	'Position',[22.5 140 150 16.5], ...
	'String','Graphically enter a data set', ...
	'Tag','pshGraphData');

% control: number of points per click
%  the text
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[22.5 114.5 146.25 17.25], ...
	'Style','text', ...
	'String','Number of points per click:', ...
	'Tag','lblNumberofManualPoints');
% the typein widget
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','                           ', ...
	'ListboxTop',0, ...
	'Position',[143.25 118.5 29.5 15.75], ...
	'String','20', ...
	'Style','edit', ...
	'Tag','txtNumberPointsPerClick');


% The control: display bayes decision boundaries:
%  a checkbox
% 'Position',[22.5 94.5 146.25 17.25], ...
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'Callback',mat6, ...
	'ListboxTop',0, ...
	'Position',[22.5 94.5 150.25 17.25], ...
	'String','Show Bayes decis. boundary', ...
	'Style','checkbox', ...
	'Tag','chkBayes', ...
	'Value',1);

% Four buttons: Compare, Params, 
% 
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback',mat7, ...
	'ListboxTop',0, ...
	'Position',[15 59.25 45 27.75], ...
	'String','Compare', ...
	'Tag','MultiAlgorithms');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','classifier_commands(''Params'')', ...
	'ListboxTop',0, ...
	'Position',[61 59.25 45 27.75], ...
	'String','Params', ...
	'Tag','Parameters');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','classifier_commands(''ClearBounds'')', ...
	'ListboxTop',0, ...
	'Position',[107 59.25 45 27.75], ...
	'String','Clear', ...
	'Tag','Clear');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback',mat8, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[153 59.25 45 27.75], ...
	'String','Start', ...
	'Tag','Start');



% ================================================================
% I do not know what the following are.


if nargout > 0, fig = h0; end
classifier_commands('Init');
