function L = longest_run(weights, features)

%Find the length of the longest run of correctly classified random points

n = length(features);
L = 0;
correct = 1;

while correct,
   L = L + 1;
   indice = 1 + floor(rand(1)*n);		%Choose a random indice
   if (weights' * features(:,indice) <= 0)	%Find if it is correctly classified
      correct = 0;				%If not, stop
   end
   if (L > n*5),
      correct = 0;
   end
end

