% Learns classifier and classifies test set
% using local polynomial approximations of the density
% Usage
%      [train_error, test_error] = Local_Polynomial_VC(train_features, train_labels,Nlp ,test_features, test_labels)
% where
%
% Inputs:
% 	train_features	- the training set vectors, one vector per column
%	train_labels    - the labels of the above
%       Nlp             - Number of test points to select h
%       test_features   - test set, one column per vector
%       test_labels     - labels  for test set%
% Outputs
%	train_error   - the error rate on the training set (one entry per
%	                   class + total error)
%	test_error    - the error rate on the test set (one entry per class
%	                  + total error)
function [trainError, testError, estTrainLabels,estTestLabels] =...
    Local_Polynomial_VC(trainFeatures, trainLabels, Nlp, testFeatures, testLabels)

[trainError,testError,estTrainLabels,estTestLabels] =  ...
    MethodNotImplemented(trainFeatures, trainLabels,Nlp ,testFeatures, testLabels);
