function [trainError,testError,estTrainLabels,estTestLabels] =  ...
    MethodNotImplemented(trainFeatures, trainLabels,sigma ,testFeatures, testLabels)

fprintf('The method has not been implemented yet\n');
[Nclasses,classes] = find_classes([trainLabels(:);testLabels(:)]);
bestClass =0;
nBestClass =0;
for i=1:Nclasses,
  nClass = sum(trainFeatures == classes(i));
  if nClass > nBestClass,
    nBestClass = nClass,
    bestClass = classes(i)
  end
end	
estTrainLabels = ones(size(trainLabels)) * bestClass;
estTestLabels  = ones(size(testLabels)) * bestClass;
trainError = computeError( classes, trainLabels, estTrainLabels);
testError = computeError ( classes, testLabels, estTestLabels);
