function [p1, p2, p3, p4, p5, p6, p7] = load_file(filename, type, region)

%Load a file with either daa points (type = points) or distribution
%parameters (type = dist)

p1		= [];p2		= [];p3		= [];
p4		= [];p5		= [];p6		= [];
p7		= [];

N		= region(5);
   
if isempty(findstr(filename,'.mat')),
   filename = [filename '.mat'];
end

if (~isempty(dir(filename)))
   load (filename)
   if (strcmp(type,'points'))
   	h = findobj('Tag', 'Messages');
	set(h,'String',['File loaded. Found ' num2str(length(targets)) ' data points.'])  
	param = max(max(abs(features)));
	   plot_scatter(features, targets) 
      axis([-param,param,-param,param])
      p1 = features;
      p2 = targets;
   else
      n0 = size(s0,1);
		n1 = size(s1,1);
      h = findobj('Tag', 'Messages');
      s = ['Distribution file loaded. Found ' num2str(n0) ' Gaussians for class 0 and ' ...
            num2str(n1) ' Gaussians for class 1.'];
      set(h,'String',s)  
      p1 = m0;
      p2 = m1;
      p3 = s0;
      p4 = s1;
      p5 = w0;
      p6 = w1;
      p7 = p0;
   end
else
   h = findobj('Tag', 'Messages');
   set(h,'String','File not found.')
end 
