function fig = multialgorithms()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
% This problem is solved by saving the output as a FIG-file.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.
% 
% NOTE: certain newer features in MATLAB may not have been saved in this
% M-file due to limitations of this format, which has been superseded by
% FIG-files.  Figures which have been annotated using the plot editor tools
% are incompatible with the M-file/MAT-file format, and should be saved as
% FIG-files.

load multialgorithms

h0 = figure('Color',[0.8 0.8 0.8], ...
    'Units','Characters', ...
	'Colormap',mat0, ...
	'FileName','D:\Users\elad\HW\version3\multialgorithms.m', ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'Position',[21 23 100 27], ...
	'Tag','Fig1', ...
	'ToolBar','none');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[15 45 172.5 87.5], ...
	'Style','frame', ...
	'Tag','frm1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',5, ...
	'Position',[15.75 139.25 134.25 75], ...
	'Style','listbox', ...
	'Tag','lstAllAlgorithms');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',14, ...
	'ListboxTop',0, ...
	'Position',[72 233.75 221.25 23.25], ...
	'String','Multiple Algorithm Comparison', ...
	'Style','text', ...
	'Tag','txt1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Position',[225 140 134.25 75], ...
	'String','          ', ...
	'Style','listbox', ...
	'Tag','lstChosenAlgorithms', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','MoveAlgorithm(1)', ...
	'ListboxTop',0, ...
	'Position',[168 182.75 37.5 18.75], ...
	'String','-->', ...
	'Tag','pshMoveTo');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','MoveAlgorithm(0)', ...
	'ListboxTop',0, ...
	'Position',[168 158.75 37.5 18.75], ...
	'String','<--', ...
	'Tag','pshMoveFrom');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[22.5 106.25 75 15], ...
	'String','Number of redraws:', ...
	'Style','text', ...
	'Tag','txt2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[22.5 87.5 112.5 15], ...
	'String','Precentage of training vectors:', ...
	'Style','text', ...
	'Tag','txt3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[22.5 68.75 90 15], ...
	'String','Error estimation method:', ...
	'Style','text', ...
	'Tag','txt4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[22.5 48.75 90 15], ...
	'String','Error value for display:', ...
	'Style','text', ...
	'Tag','txt4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[142.5 110 37.5 15], ...
	'Style','edit', ...
	'Tag','txtRedraws');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[142.5 91.25 37.5 15], ...
	'Style','edit', ...
	'Tag','txtPrecentage');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[112.5 76.25 67.5 11.25], ...
	'String',mat2, ...
	'Style','popupmenu', ...
	'Tag','popErrorEstimation', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[112.5 54.75 67.5 11.25], ...
	'String',mat3, ...
	'Style','popupmenu', ...
	'Tag','popErrorDisplay', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','start_multi_classification', ...
	'ListboxTop',0, ...
	'Position',[292.5 84 63.75 26.25], ...
	'String','Start', ...
	'Tag','pshStart');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','close', ...
	'ListboxTop',0, ...
	'Position',[292.5 48.75 63.75 26.25], ...
	'String','Close', ...
	'Tag','pshClose');
%h1 = uicontrol('Parent',h0, ...
%	'Units','points', ...
%	'ListboxTop',0, ...
%	'Position',[0.75 0.75 375.75 30.75], ...
%	'Style','text', ...
%	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[12 7.5 60.75 16.5], ...
	'String','Messages:', ...
	'Style','text', ...
	'Tag','txt5');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[73 7.5 283 16.5], ...
	'Style','text', ...
	'Tag','Messages');
algorithms=read_algorithms('Algorithms.txt');
h=findobj('Tag','lstAllAlgorithms');
set(h,'String',char(algorithms(:).Name))

if nargout > 0, fig = h0; end
